<?php

namespace Drupal\drd_pi\Drush\Commands;

use Drupal\drd\Drush\Commands\DrdCommands;
use Drush\Attributes as CLI;

/**
 * Class for DRD Pi commands.
 *
 * @package Drupal\drd
 */
class DrdPiCommands extends DrdCommands {

  /**
   * Sync DRD inventory with all configured platforms.
   */
  #[CLI\Command(name: 'drd:pi:sync', aliases: ['drd-pi-sync'])]
  #[CLI\Usage(name: 'drush drd:pi:sync', description: 'Sync DRD inventory with all configured platforms.')]
  public function projectsStatus(): void {
    $this->actionKey = 'drd_action_pi_sync';
    $this
      ->prepare()
      ->execute();
  }

}
